{% include "header"
  , color: "var(--nintex--color--deep-purple)"
  , text_color: "white"
  , text_en_US: ""
  , text_es: ""
  , text_fr: ""
  , text_de: ""
  , text_en_GB: ""
  , text_nl: ""
  , text_pt_BR: ""
  , subtitle_en_US: ""
  , subtitle_es: ""
  , subtitle_fr: ""
  , subtitle_de: ""
  , subtitle_en_GB: ""
  , subtitle_nl: ""
  , subtitle_pt_BR: ""
  , button_text_en_US: ""
  , button_text_es: ""
  , button_text_fr: ""
  , button_text_de: ""
  , button_text_en_GB: ""
  , button_text_nl: ""
  , button_text_pt_BR: ""
  , button_link: "" %}
{% include "account_tabs" %}

<main class="np-main np-subpage-container np-transcript">
  {% transcript %}
</main>

<script>
  document.addEventListener('DOMContentLoaded', function () {
    setTimeout(() => {
    const transcript = document.querySelector('.Transcript_Caption');
    console.log(transcript);
    if (transcript) {
      if(lang === 'es') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transcripción para');
      } else if(lang === 'fr') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transcription pour');
      } else if(lang === 'de') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transkript für');
      } else if(lang === 'en-GB') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transcript for');
      } else if(lang === 'nl') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Afschrift voor');
      } else if(lang === 'pt-BR') {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transcrito para');
      } else {
        transcript.textContent = transcript.textContent.replace('Transcript for', 'Transcript for');
      }
      }
    }, 10);
  });
</script>

{% include "footer" %}